// ==========================================================================
// 所属模块：lib - requestLog
// 生成日期：2024-02-19 00:24:00 +0800 CST
// 生成路径: lib/requestLog.js
// 生成人：Cato
// 功能描述：用于输出请求日志。
// ==========================================================================

// 日志输出格式：
// 请求地址 > 方式 > 目标地址:端口/路径?参数=值 > 请求体 > 脚本路径
// 6.0.0.14 > GET > 6.0.0.74:7788/extension/staff?pageNum=1&pageSize=10&list=true |  > /www/wwwroot/xp-back/extension/staff

if (scriptPath != rootPath + '/core.js' && !scriptPath.includes('uploads')) {
    //   prodPath += "/function.js"
    // if (scriptPath.includes('open')){console.log(payload.toCURL())}
    console.log(
        // 北京时间 = UTC 时间 + 8 小时
        new Date(new Date().getTime() + 8 * 60 * 60 * 1000).toISOString().replace(/T/, ' ').replace(/\..+/, ''),
        ' * ',
        payload.get().remote_addr.split(':')[0],
        '>',
        payload.get().method,
        '>',
        payload.get().host + payload.get().url,
        // payload.get().body.toString() ? '| ' + payload.get().body.toString() : '',
    );
}